FROM openresty/openresty:1.27.1.2-0-bookworm-buildpack

WORKDIR /opt/app

RUN apt-get update && apt-get install -y \
        python3-pygments lua-inotify wget && \
        wget -q -O pandoc-3.7.0.1-1-amd64.deb https://github.com/jgm/pandoc/releases/download/3.7.0.1/pandoc-3.7.0.1-1-amd64.deb && \
        dpkg -i pandoc-3.7.0.1-1-amd64.deb && \
        rm pandoc-3.7.0.1-1-amd64.deb
RUN luarocks install sitegen
RUN luarocks install inotify INOTIFY_INCDIR=/usr/include/x86_64-linux-gnu/

CMD ["sh", "-c", "openresty -p `pwd` -g 'daemon off;'"]
# CMD ["openresty", "-p", "/opt/app", "-g", "daemon off;"]
